Bug 35762 - Xerces 2.6.0 upgrade
Xerces 2.6.0 upgrade
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: libs
3.x
All All
: P2 (vote)
: 3.x
Assigned To: Jesse Glick
issues@ide
http://xml.apache.org/xerces2-j/relea...
: ARCH
Depends on:
Blocks: 27421 37994
  Show dependency treegraph
 
Reported: 2003-08-26 04:27 UTC by Jesse Glick
Modified: 2004-01-07 00:37 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-08-26 04:27:12 UTC
We are shipping Xerces 2.4.0; should consider an
upgrade to 2.5.0 which has been released.
Comment 1 Jesse Glick 2003-12-07 21:38:14 UTC
Make that 2.6.0 now.

Who owns this module?! We should really have taken care of things like
this in time for every release.
Comment 2 Jesse Glick 2003-12-12 17:14:34 UTC
Old Xerces might be responsible for issue #37994, not clear.
Comment 3 Jesse Glick 2003-12-13 03:03:32 UTC
This is important; using an obsolete library greatly increases the
chances that we will clash with 3rd-party tools (see e.g. issue
#37994), as well as exposing us to bugs that the library vendor is not
going to have any interest in backporting fixes for.
Comment 4 andrew 2003-12-13 05:38:54 UTC
1. I have tried to:

- replace NB's xerces with (renamed) xerces 2.6.0
  without succsess,
- replace NB's xerces with (renamed) xerces from
  RIT's lib directory, and this case seems to be
  a workaround of the issue. I have not noticed any
  side effects during 3-4 hours of work.

2. I have notified Anton (RIT) about the issue.
Comment 5 andrew 2003-12-13 05:40:44 UTC
Sorry for comment here, it is for issue #37994
Comment 6 Jesse Glick 2003-12-23 17:46:39 UTC
Trying it out in sources.
Comment 7 Jesse Glick 2003-12-23 18:49:09 UTC
Created branch xerces_260_xalan_252 in libs module rooted from
BLD200312221900 to cover this change as well as issue #38301. Seems to
work fine.
Comment 8 Jesse Glick 2004-01-07 00:37:18 UTC
committed 1.11 libs/public.properties
committed 1.12 libs/external/.cvsignore
committed 1.15 libs/external/build.xml
removed   1.1  libs/external/xalan-2.5.1.jar.scrambled
committed 1.2  libs/external/xalan-2.5.2.jar.scrambled
removed   1.1  libs/external/xerces-2.4.0-1.jar.scrambled
committed 1.2  libs/external/xerces-2.6.0.jar.scrambled
committed 1.4  libs/xalan/manifest.mf
committed 1.6  libs/xerces/manifest.mf


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo